> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Update a scheduled action PUT https://api.contentful.com/spaces/{space_id}/scheduled_actions/{scheduled_action_id} Content-Type: application/vnd.contentful.management.v1+json Updates the `scheduledFor.datetime` or `scheduledFor.timezone` of a scheduled action. Only fields under `scheduledFor` can be changed; include `X-Contentful-Version`. Reference: https://contentful.com/developers/docs/references/content-management-api/scheduled-actions/update-a-scheduled-action ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `scheduled_action_id` (string, required) — ID of the scheduled action in form of a string ### Headers - `X-Contentful-Version` (string, required) — Version of the scheduled action to update ### Body (application/vnd.contentful.management.v1+json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Request** ```json { "action": "publish", "entity": { "sys": { "id": "5KsDBWseXY6QegucYAoacS", "linkType": "Entry", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "scheduledFor": { "datetime": "2022-01-01T12:00:00.000Z", "timezone": "Europe/Berlin" } } ``` **Response** ```json { "action": "publish", "entity": { "sys": { "id": "5KsDBWseXY6QegucYAoacS", "linkType": "Entry", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "scheduledFor": { "datetime": "2022-01-01T12:00:00.000Z", "timezone": "Europe/Berlin" }, "sys": { "createdAt": "2025-06-08T15:40:02.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "3A13SXSDwO8c46NrjigFYT", "space": { "sys": { "id": "yadj1kx9rmg0", "type": "Link" } }, "status": "scheduled", "type": "ScheduledAction", "updatedAt": "2025-08-17T16:14:30.000Z", "updatedBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "version": 2 } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) const updatedPayload = { entity: { sys: { linkType: 'Entry', type: 'Link', id: '', }, }, environment: { sys: { linkType: 'Environment', type: 'Link', id: '', }, }, scheduledFor: { dateTime: '2022-01-01T12:00:00.000Z', timezone: 'Europe/Berlin' }, action: 'Publish' } client.getSpace('') .then((space) => space.updateScheduledAction( { scheduledActionId: '', version: 1 }, { payload: updatedPayload }, )) .then((scheduledAction) => console.log(scheduledAction)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) client.scheduledActions.update( { spaceId: '', }, { entity: { sys: { type: 'Link', linkType: 'Entry', id: '', }, }, environment: { sys: { id: '', type: 'Link', linkType: 'Environment', id: '', }, }, action: 'publish', scheduledFor: { datetime: '', timezone: 'Europe/Berlin', }, payload: { entity: { sys: { linkType: 'Entry', type: 'Link', id: '', }, }, environment: { sys: { linkType: 'Environment', type: 'Link', id: '', }, }, scheduledFor: { dateTime: '2022-01-01T12:00:00.000Z', timezone: 'Europe/Berlin' }, action: 'Publish' } } ); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```